﻿using System;
using System.Linq;
using System.Web;
using System.Text.RegularExpressions;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using Library;

namespace MySystem.Areas.Api.Controllers
{
    public class BaseController : Controller
    {
        public IHttpContextAccessor _accessor;
        public readonly ILogger<BaseController> _logger;
        public readonly IOptions<Setting> _setting;
        public Setting AppSetting;

        public BaseController(IHttpContextAccessor accessor, ILogger<BaseController> logger, IOptions<Setting> setting)
        {
            _accessor = accessor;
            _logger = logger;
            _setting = setting;
        }

    }
}